% Stopa matice a = a11 + a22 + a33 + a44 + ...
% Tr a ... trace,  Sp a ... spur

% Cyklus: vybrat vsechny prvky a_kk = a(k,k)
% stopa = a(1,1) + a(2,2) + a(3,3)
% `     = sum_{k=1}^n a(k,k)

n = 6
% a = pascal(n)
a = magic(n)
n = length(n)
n = size(n,2)
n = min(size(a))  % delka kratsi strany

t = 0;
for k=1:n
  t = t+a(k,k);
end
t
fprintf('Stopa je %g\n', t);

% dalsi moznost:
sum(diag(a))

% zabudovana funkce:
trace(a)
